import * as _nuxt_schema from '@nuxt/schema';

declare enum InstantSearchThemes {
    'reset' = 0,
    'algolia' = 1,
    'satellite' = 2
}
interface ModuleOptions {
    hostUrl: string;
    searchApiKey: string;
    adminApiKey?: string;
    serverSideUsage: boolean;
    instantSearch?: boolean | {
        theme: keyof typeof InstantSearchThemes;
    };
    clientOptions?: {
        placeholderSearch?: boolean;
        paginationTotalHits?: number;
        finitePagination?: boolean;
        primaryKey?: string;
        keepZeroFacets?: boolean;
    };
}
declare const _default: _nuxt_schema.NuxtModule<ModuleOptions>;

export { ModuleOptions, _default as default };
